Subject: Re: [armd] thoughts on the continuation of the ARMD work

From: "Shah, Himanshu" <[email-masked]>
Date: Tue, 18 Jan 2011 16:57:37 -0500

It appears that we are unnecessarily setting the bar 

higher for this work to continue.

I believe there was adequate problem scope and data presented

during the last BoFs. We seem to put more emphasis on peripheral,

off-the-cuff opinions and warrant more research, more data..

We need to get out of this BoF-forever-mode (or go-fetch-more-rocks
cycle), 

and start a WG to address the problem. To that extent, I agree with

your suggestion about continuing the work in a WG, even if that meant

to be in a problem-study mode initially.

/himanshu  

-----Original Message-----

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Jari Arkko

Sent: Thursday, January 13, 2011 4:53 PM

To: [email-masked]

Subject: [armd] thoughts on the continuation of the ARMD work

It is time to decide what to do with another BOF or some other
continuation of this work.

I'm not the AD responsible for this work (Ralph is) but I thought it
might be useful to provide some possible ideas that might work.

One approach is to run a second BOF, and attempt to come to a conclusion
that we have or do not have a scaling problem in ARP. If we do have a
scaling problem then we can charter a working group that works on a
solution. Linda and Sue tell me that they are working on experiments
that may help us understand the scaling problems better, so there may be
some material ready from this to the BOF.

Another approach is to just charter a working group that documents
scaling characteristics of ARP and ND, and perhaps also provides some
operational advice on how to best run your networks without running into
issues. This working group would run, say, for six months and would come
up with a couple of RFCs. At that point it would we could perhaps
recharter the group for some protocol work, if the RFCs showed that
there are severe issues.

In either case we need to work on what the scaling characteristics of
ARP and ND are. The difference is that in the BOF approach we need to
focus on finding the "smoking gun" and have a yes-no type discussion. In
the WG approach we can take a bit more time, do an in-depth analysis,
can document the results neutrally without pressure to find the gun, and
may even provide some useful advice to network managers in the process.

Jari

---

From: Vishwas Manral <[email-masked]>
Date: Wed, 19 Jan 2011 18:33:47 -0800

Hi,

I agree with Himanshu's views.

Thanks,
Vishwas

On Tue, Jan 18, 2011 at 1:57 PM, Shah, Himanshu <[email-masked]> wrote:
> We need to get out of this BoF-forever-mode (or go-fetch-more-rocks cycle),
>
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Jari
> Arkko
>
> It is time to decide what to do with another BOF or some other continuation
> of this work.
>
>
>
> I'm not the AD responsible for this work (Ralph is) but I thought it might
> be useful to provide some possible ideas that might work.
>
>
>
> solution. Linda and Sue tell me that they are working on experiments that
> may help us understand the scaling problems better, so there may be some
> material ready from this to the BOF.
>
>
>
> Another approach is to just charter a working group that documents scaling
> characteristics of ARP and ND, and perhaps also provides some operational
> advice on how to best run your networks without running into issues. This
> working group would run, say, for six months and would come up with a couple
> of RFCs. At that point it would we could perhaps recharter the group for
> some protocol work, if the RFCs showed that there are severe issues.
>
>
>
> In either case we need to work on what the scaling characteristics of ARP
> and ND are. The difference is that in the BOF approach we need to focus on
> finding the "smoking gun" and have a yes-no type discussion. In the WG
> approach we can take a bit more time, do an in-depth analysis, can document
> the results neutrally without pressure to find the gun, and may even provide
> some useful advice to network managers in the process.
>
>
>
> Jari
>
>
>
> _______________________________________________
> armd mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/armd
>
>